from django.urls import path
from . import views


urlpatterns = [  

    path('customer/<str:customer_id>/', views.edit_customer, name='editcustomer'),
    path('customer/<str:customer_id>/status/', views.edit_customer_status_modal, name='editcustomerstatusmodal'),
    path('business/<str:business_id>/', views.edit_business, name='editbusiness'),
    path('staff/<str:staff_id>/', views.edit_staff, name='editstaff'),
    path('project/<str:project_id>/', views.edit_project, name='editproject'),
    path('project/<int:project_id>/toggle_pin/', views.toggle_pin_project, name='toggle_pin_project'),
    path('projectstatus/<str:project_id>/', views.edit_project_status_modal, name='editprojectstatusmodal'),
    path('task/<str:task_id>/', views.edit_task, name='edittask'),
    path('task-status/<str:task_id>/', views.edit_task_status_modal, name='edittaskstatusmodal'),
    path('epic/', views.edit_epic, name='editepic'),
    path('department/<int:department_id>/', views.edit_department, name='editdepartment'),
    path('projecttype/<int:projecttype_id>/', views.edit_project_type, name='editprojecttype'),
    path('jobposition/<int:jobposition_id>/', views.edit_job_position, name='editjobposition'),
    path('businesstype/<int:businesstype_id>/', views.edit_business_type, name='editbusinesstype'),
    path('reference/<int:reference_id>/', views.edit_reference, name='editreference'),
    path('tag/<int:tag_id>/', views.edit_tag, name='edittag'),
    path('ticket/<int:ticket_id>/status/', views.edit_ticket_status_modal, name='edit-ticket-status-modal'),



    #Mark Points
    path('mark_point_working_on/<int:point_id>/<str:task_id>/', views.mark_point_working_on, name='mark_point_working_on'),
    path('mark_point_working_on_task_page/<int:point_id>/<str:task_id>/', views.mark_point_working_on_task_page, name='mark_point_working_on_task_page'),
    path('mark_point_completed/<int:point_id>/<str:task_id>/', views.mark_point_completed, name='mark_point_completed'),
    path('mark_point_completed_task_page/<int:point_id>/<str:task_id>/', views.mark_point_completed_task_page, name='mark_point_completed_task_page'),
    path('mark_point_paused/<int:point_id>/<str:task_id>/', views.mark_point_paused, name='mark_point_paused'),
    path('mark_point_paused_task_page/<int:point_id>/<str:task_id>/', views.mark_point_paused_task_page, name='mark_point_paused_task_page'),
]